请选择 进入手机版 | 继续访问电脑版

01BIM社区

 找回密码
 立即注册

扫一扫,访问微社区

查看: 395|回复: 1

梁纵筋绘制函数

[复制链接]

111

主题

232

帖子

930

积分

高级会员

Rank: 4

积分
930
发表于 2015-6-12 16:02:01 | 显示全部楼层 |阅读模式
def do_Longitudinal_Reinforcement
        rebarGrade="1";
        rebarDiameter=22.mm
        pt_1=Geom:oint3d.new(0,1000.mm,1000.mm);
        length_1=300.mm-rebarDiameter/2.0;
        vt_1=Geom::Vector3d.new(0,0,-1);
        supportType_1="中间";#"中间"/"端部"
        rebarStartArr=[pt_1,length_1,vt_1,supportType_1];
       
        pt_2=Geom:oint3d.new(2000.mm,1000.mm,1000.mm);
        length_2=500.mm-rebarDiameter/2.0;
        vt_2=Geom::Vector3d.new(0,0,-1);
        supportType_2="端部";#"中间"/"端部"
        rebarEndArr=[pt_2,length_2,vt_2,supportType_2];
       
        beamType="WKL";#KL/WKL/KZL/L/XL/JZL/LL/LL(JC)/LL(JX)/LL(DX)/AL/BKL/其他
        supportType="中间";#"中间"/"端部"
        model = Sketchup.active_model
          model.start_operation("绘制钢筋");
        $ent=Module_Girder::create_Longitudinal_Reinforcement($beamGroup,rebarGrade,rebarDiameter,rebarStartArr,rebarEndArr,beamType)
        model.commit_operation;
end

回复

使用道具 举报

0

主题

56

帖子

721

积分

高级会员

Rank: 4

积分
721
发表于 2016-2-29 12:22:17 | 显示全部楼层
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|01BIM社区 - 最专业的BIM技术交流平台 ( 渝ICP备15000873号 )

GMT+8, 2018-10-19 14:46 , Processed in 0.056615 second(s), 21 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表